Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface ClickListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DelegatingClickListenerCollection, TabBar

    public interface ClickListener

extends java.util.EventListener

Event listener interface for click events.

Method Summary
`void` | `onClick(Widget sender)` Fired when the user clicks on a widget.

Method Detail

### onClick

    void onClick(Widget sender)

  Fired when the user clicks on a widget.

  Parameters:
    `sender` - the widget sending the event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD